Bug 49230 - Kernel 2.4.3-12 failes to mount UDF cd
Kernel 2.4.3-12 failes to mount UDF cd
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-07-17 02:05 EDT by Per Winkvist
Modified: 2007-04-18 12:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-19 11:49:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Per Winkvist 2001-07-17 02:05:25 EDT
Description of problem:
Mounting a UDF formatted CD with the kernel that came with 7.1 was no 
problem. Yesterday I upgraded to 2.4.3-12 (from updates) and I can no 
longer mount a UDF cd. The mount command now complains about something 
like "PARTITION(1)  ...."

I do believe I have updated mount to the one from updates but I think I 
have used and UDF cd sucessfully after the mount upgrade and before the 
kernel upgrade.

Another short note: You can not use "mount -t auto ..." with UDF cd, then 
it will just mount it as ISO9660...

How reproducible:

Steps to Reproduce:
1. Stick UDF cd in drive
2. mount -t udf /dev/cdrom /mnt/cdrom

Actual Results:  The mount failes

Expected Results:  !(the mount failes)

Additional info:
Comment 1 Tim Mann 2001-08-24 18:09:55 EDT
I've had a slightly different experience with the 2.4.3-12 kernel.  I am able to
mount a UDF CD (by giving the -t udf flag to mount), but if I unmount it and try
to mount another, the mount hangs for a short time, then the machine locks up
solid and I have to do a hard reboot.  This happened twice in two tries.
Comment 2 Per Winkvist 2001-08-25 04:03:53 EDT
I upgraded to the kernel i Rawhide (2.4.7-2 I believe it was) a couple of days 
ago and now UDF works again. No other problems with that kernel either.
Comment 3 Leo B. 2002-08-18 00:06:34 EDT
It is possible to have a UDF CD that embeds a very small ISO-9660 filesystem, so
it could be mounted
both ways. If 'mount' is not given the the -t option, it will try to mount a CD
as iso9660 first and will
This will result in something like:
% df /cdrom
Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/cdrom                  56        56         0 100% /cdrom
% ls -l /cdrom
total 1
-r-xr-xr-x    1 root     root           55 Mar 29  2001 readme.txt
% cat /cdrom/readme.txt
Please read this CD in a system with UDF reader driver.

Therefore it is a good idea to change the filesystem probe order and put UDF
before ISO-9660, so that
mounting UDF CD-ROMs with such courtesy notices will do the Right Thing.
Comment 4 Bill Nottingham 2003-02-19 11:49:05 EST
This is done in more decent releases.

Note You need to log in before you can comment on or make changes to this bug.